/*
 * Copyright (c) 2011-2014 QuartzDesk.com. All Rights Reserved.
 * QuartzDesk.com PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

/**
 * The Server data model.
 */
Ext.define( 'QDesk.model.RemoteJmxService', {
  extend : 'Ext.data.Model',
  fields : [
    /* JMX protocol - see QDesk.enums.JmxProtocol */
    { name : 'protocol', type : 'string', useNull: true },

    { name : 'host', type : 'string' },
    { name : 'port', type : 'int' },

    { name : 'serviceUrl', type : 'string' },

    /*
     * authentication attribute has the following structure:
     * { name : 'username', type : 'string'},
     * { name : 'password', type : 'string'}
     */
    { name : 'authentication', type : 'auto'}
  ]
} );
