/*
 * Copyright (c) 2011-2014 QuartzDesk.com. All Rights Reserved.
 * QuartzDesk.com PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

/**
 * The Connection data model.
 */
Ext.define( 'QDesk.model.Connection', {
  extend : 'Ext.data.Model',
  fields : [
    { name : 'id', type : 'int', useNull : true },

    { name : 'name', type : 'string' },

    /*
     * QDesk.model.RemoteJmxService type.
     */
    { name : 'remoteJmxService', type : 'auto' },

    { name : 'schedulerObjectName', type : 'string' },
    { name : 'schedulerType', type : 'string' },

    /* auto type */
    { name : 'configEntries', type : 'auto' }
  ]
} );
